Bug 35862 - Display patron search result on the right of the form (modal)
Summary: Display patron search result on the right of the form (modal)
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff interface (show other bugs)
Version: Main
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
: 35846 (view as bug list)
Depends on: 35329
Blocks:
  Show dependency treegraph
 
Reported: 2024-01-22 20:44 UTC by Jonathan Druart
Modified: 2024-04-19 17:56 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00


Attachments
Bug 35862: Display modal search results to the right of form above 1200px (8.96 KB, patch)
2024-03-06 23:48 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 35862: Display modal search results to the right of form above 1200px (9.03 KB, patch)
2024-03-07 07:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35862: Display modal search results to the right of form above 1200px (9.10 KB, patch)
2024-03-08 12:48 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2024-01-22 20:44:22 UTC
From bug 35329 comment 59

> Next comment.. could we perhaps put the results next to rather than under
> the filters form in the modal?
> 
> It feels odd to have so much whitespace in the modal and have the actual
> useful content almost hidden off screen.. widescreen aspect ratios are
> pretty common these days?
Comment 1 Jonathan Druart 2024-01-23 07:51:23 UTC
*** Bug 35846 has been marked as a duplicate of this bug. ***
Comment 2 Lucas Gass 2024-03-06 23:48:25 UTC
Created attachment 162858 [details] [review]
Bug 35862: Display modal search results to the right of form above 1200px

To test:
1. Apply patch
2. Rebuild CSS ( yarn build )
3. Look at some of the places where there is a modal patron search.
    -suggestion/suggestion.pl: Set to patron
    -members/memberentry.pl: Add guarantor

4. Make sure the modal looks good before and after you have searched for a patron.
5. Play with many different screen sizes, ensuring everything looks good and makes sense.
Comment 3 Martin Renvoize 2024-03-07 07:58:30 UTC
Created attachment 162862 [details] [review]
Bug 35862: Display modal search results to the right of form above 1200px

To test:
1. Apply patch
2. Rebuild CSS ( yarn build )
3. Look at some of the places where there is a modal patron search.
    -suggestion/suggestion.pl: Set to patron
    -members/memberentry.pl: Add guarantor

4. Make sure the modal looks good before and after you have searched for a patron.
5. Play with many different screen sizes, ensuring everything looks good and makes sense.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2024-03-07 08:00:18 UTC
This is a huge improvement, thanks Lucas.

Signing off.
Comment 5 Jonathan Druart 2024-03-07 08:05:37 UTC
Do we want the 100% width for inputs/select on small screens? https://snipboard.io/iwo0lI.jpg
Comment 6 Lucas Gass 2024-03-07 14:40:08 UTC
(In reply to Jonathan Druart from comment #5)
> Do we want the 100% width for inputs/select on small screens?
> https://snipboard.io/iwo0lI.jpg

It's a good question. I personally think so. But I am happy to change it if we don't think that will be well received.
Comment 7 Martin Renvoize 2024-03-08 09:57:34 UTC
I like the 100% myself.
Comment 8 Jonathan Druart 2024-03-08 12:48:31 UTC
Created attachment 162959 [details] [review]
Bug 35862: Display modal search results to the right of form above 1200px

To test:
1. Apply patch
2. Rebuild CSS ( yarn build )
3. Look at some of the places where there is a modal patron search.
    -suggestion/suggestion.pl: Set to patron
    -members/memberentry.pl: Add guarantor

4. Make sure the modal looks good before and after you have searched for a patron.
5. Play with many different screen sizes, ensuring everything looks good and makes sense.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Katrin Fischer 2024-04-19 17:56:00 UTC
Pushed for 24.05!

Well done everyone, thank you!